"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Domain = require("@domain");
const React = require("react");
const ReactDOM = require("react-dom");
const Main = require("./Main");
const getCsrProps = () => window.__INITIAL_STATE__;
function initialize() {
    const defaultProps = {
        pkg: {
            scripts: {},
        },
    };
    const csrProps = getCsrProps();
    const props = !!csrProps ? csrProps : defaultProps;
    const reducers = Domain.createReducers({ key: "start", pkg: props.pkg });
    const render = !!csrProps ? ReactDOM.render : ReactDOM.render;
    render(React.createElement(Main.Component, { reducers: reducers }), document.getElementById("root"));
}
exports.initialize = initialize;
initialize();
//# sourceMappingURL=client.js.map