"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const TreeLink = require("../TreeLink");
const TreeNode = require("../TreeNode");
const Dendrogram = require("./Dendrogram");
const generateProps = (store) => ({
    svg: {
        height: "100%",
        width: "100%",
    },
    onResize: store.onResize,
});
exports.Container = ({ store }) => {
    return (React.createElement(Dendrogram.Component, Object.assign({}, generateProps(store)),
        React.createElement(TreeLink.Container, { store: store.treeLinkStore }),
        React.createElement(TreeNode.Container, { store: store.treeNodeStore })));
};
//# sourceMappingURL=Container.js.map