import * as Domain from "@domain";
import * as TreeLink from "../TreeLink";
import * as TreeNode from "../TreeNode";
export interface Store {
    treeLinkStore: TreeLink.Store;
    treeNodeStore: TreeNode.Store;
    onResize: (size: {
        width: number;
        height: number;
    }) => void;
}
export declare const generateStore: (domainStores: Domain.Stores) => Store;
