"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TreeLink = require("../TreeLink");
const TreeNode = require("../TreeNode");
exports.generateStore = (domainStores) => {
    return {
        treeNodeStore: TreeNode.generateStore(domainStores),
        treeLinkStore: TreeLink.generateStore(domainStores),
        onResize: size => {
            domainStores.dendrogram.dispatch({
                type: "RESIZE",
                size,
            });
        },
    };
};
//# sourceMappingURL=Store.js.map