import * as Domain from "@domain";
import * as Types from "@this/types";
export interface Store {
    links: Types.Link[];
    position: {
        scale: {
            x: number;
            y: number;
        };
        offset: {
            x: number;
            y: number;
        };
    };
    canShow: boolean;
}
export declare const generateStore: (domainStores: Domain.Stores) => Store;
