"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStore = (domainStores) => ({
    links: domainStores.app.state.links,
    position: {
        scale: {
            x: domainStores.dendrogram.state.size.height,
            y: domainStores.dendrogram.state.size.width / 1.5,
        },
        offset: {
            x: 0,
            y: domainStores.dendrogram.state.size.width / 7,
        },
    },
    canShow: !isNaN(domainStores.dendrogram.state.size.width) && !isNaN(domainStores.dendrogram.state.size.height),
});
//# sourceMappingURL=Store.js.map