"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Factory = require("./Factory");
exports.reducer = (state, action) => {
    switch (action.type) {
        case "UPDATE_KEY": {
            return Factory.generateState(action.currentKey, state.pkg);
        }
        default:
            return state;
    }
};
exports.createReducer = ({ key, pkg }) => {
    const initialState = Factory.generateState(key, pkg);
    return [exports.reducer, initialState];
};
//# sourceMappingURL=Reducer.js.map