"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const utils_1 = require("../../utils");
const styles = require("../../style.scss");
const App = ({ Dendrogram, Menu, npmUrl, currentKey }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement("nav", { className: utils_1.getClassNames("navbar navbar-dark fixed-top bg-dark flex-md-nowrap p-0 shadow") },
            React.createElement("a", { className: utils_1.getClassNames("navbar-brand col-sm-3 col-md-2 mr-0"), href: npmUrl, target: "_blank", rel: "noopener" }, "npm-run-script-chain")),
        React.createElement("div", { className: styles.containerFluid },
            React.createElement("div", { className: styles.row },
                React.createElement("nav", { className: utils_1.getClassNames("col-md-2 d-none d-md-block bg-light sidebar") },
                    React.createElement("div", { className: styles["sidebar-sticky"] }, Menu)),
                React.createElement("main", { className: utils_1.getClassNames("col-md-9 ml-sm-auto col-lg-10 px-4") },
                    React.createElement("div", { className: utils_1.getClassNames("d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom") },
                        React.createElement("h1", { className: styles.h2 }, currentKey)),
                    Dendrogram)))));
};
exports.Component = App;
//# sourceMappingURL=App.js.map