import * as React from "react";
declare type OnResizeFunction = (size: {
    width: number;
    height: number;
}) => void;
export interface DendrogramProps {
    svg: React.SVGProps<SVGSVGElement>;
    children?: React.ReactNode;
    onResize: OnResizeFunction;
}
export declare const useOnResize: <T extends React.MutableRefObject<any>>(ref: T, onResize: OnResizeFunction) => void;
export declare const Dendrogram: (props: DendrogramProps) => JSX.Element;
export { DendrogramProps as Props, Dendrogram as Component };
