"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const styles = require("../../style.scss");
function diagonal(x1, y1, x2, y2) {
    return `M${y1},${x1}C${(y1 + y2) / 2},${x1} ${(y1 + y2) / 2},${x2} ${y2},${x2}`;
}
const Link = (props) => {
    const d = diagonal(props.x1, props.y1, props.x2, props.y2);
    return React.createElement("path", { className: styles.link, d: d });
};
exports.Component = Link;
//# sourceMappingURL=TreeLink.js.map