import * as Domain from "@domain";
import * as Types from "@this/types";
export interface Store {
    updateKey: (key: string) => void;
    radius: number;
    text: {
        offset: number;
    };
    position: {
        scale: {
            x: number;
            y: number;
        };
        offset: {
            x: number;
            y: number;
        };
    };
    nodes: Types.Node[];
    canShow: boolean;
}
export declare const generateStore: (domainStores: Domain.Stores) => Store;
