"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStore = (domainStores) => ({
    updateKey: (key) => {
        domainStores.app.dispatch({
            type: "UPDATE_KEY",
            currentKey: key,
        });
    },
    position: {
        scale: {
            x: domainStores.dendrogram.state.size.height,
            y: domainStores.dendrogram.state.size.width / 1.5,
        },
        offset: {
            x: 0,
            y: domainStores.dendrogram.state.size.width / 7,
        },
    },
    radius: domainStores.dendrogram.state.radius,
    text: {
        offset: domainStores.dendrogram.state.radius / 2,
    },
    nodes: domainStores.app.state.nodes,
    canShow: !isNaN(domainStores.dendrogram.state.size.width) && !isNaN(domainStores.dendrogram.state.size.height),
});
//# sourceMappingURL=Store.js.map