"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const State_1 = require("./State");
exports.reducer = (state, action) => {
    switch (action.type) {
        case "RESIZE": {
            return { ...state, size: action.size };
        }
        default:
            return state;
    }
};
exports.createReducer = () => {
    return [exports.reducer, State_1.initialState];
};
//# sourceMappingURL=Reducer.js.map